Bug 22656 - Report charts broken after bug 22023
Summary: Report charts broken after bug 22023
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 22023
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-08 06:02 UTC by Josef Moravec
Modified: 2019-04-26 13:19 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22656: Fix charts in reports (1.75 KB, patch)
2019-04-08 06:07 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22656: Fix charts in reports (1.79 KB, patch)
2019-04-08 13:39 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22656: Fix charts in reports (1.91 KB, patch)
2019-04-08 21:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-04-08 06:02:40 UTC

    
Comment 1 Josef Moravec 2019-04-08 06:07:12 UTC
Created attachment 87488 [details] [review]
Bug 22656: Fix charts in reports

This reverts a change on Create chart button in report toolbar made by
bug 22023

1) Confirm the bug
    a) Create some SQL report
    b) Run it and click on "Show chart settings" button
    c) There is no modal  or other way to actually draw the chart

2) Apply the patch
3) Go through 1) again - the modal and chart should work

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 2 Owen Leonard 2019-04-08 13:39:17 UTC
Created attachment 87522 [details] [review]
Bug 22656: Fix charts in reports

This reverts a change on Create chart button in report toolbar made by
bug 22023

1) Confirm the bug
    a) Create some SQL report
    b) Run it and click on "Show chart settings" button
    c) There is no modal  or other way to actually draw the chart

2) Apply the patch
3) Go through 1) again - the modal and chart should work

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2019-04-08 21:46:33 UTC
Created attachment 87559 [details] [review]
Bug 22656: Fix charts in reports

This reverts a change on Create chart button in report toolbar made by
bug 22023

1) Confirm the bug
    a) Create some SQL report
    b) Run it and click on "Show chart settings" button
    c) There is no modal  or other way to actually draw the chart

2) Apply the patch
3) Go through 1) again - the modal and chart should work

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-17 12:29:59 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 13:19:00 UTC
Bug with enhancement not in 18.11.x series.